Subject: Re: [PATCH] bash completion: Hide more plumbing commands

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 26 Aug 2008 11:27:36 -0700

Junio C Hamano <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> 
> > Petr Baudis <[email-masked]> wrote:
> >> git <tab><tab> still shows way too many commands, some of them
> >> are clearly plumbing. This patch hides the plumbing commands
> >> liberally (that is, in special cases, users still might want to
> >> call one of the hidden commands, a *normal* workflow should never
> >> involve these, though - and if it does, we have a UI problem anyway).
> >> 
> >> Signed-off-by: Petr Baudis <[email-masked]>
> >
> > Acked-by: Shawn O. Pearce <[email-masked]>
> >
> > Though I use git ls-remote at least once every other day to see
> > what branches are available on my egit/spearce.git fork.  Its ok,
> > I guess I can type a few extra characters...
> 
> Revision-requested-by: me
> 
> Unless/until we have an easy way to obtain the information "git-ls-files
> -u" gives during conflict resolution, ls-files should stay on the list of
> commonly used commands.

Perhaps users should just do:

  git config --global alias.unmerged 'ls-files -u'

?

Ok, well, maybe git.c should do that for you as a builtin.

-- 
Shawn.